# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%global namedversion %{version}

Name:           sonatype-plugins-parent
Version:        6
Release:        2%{?dist}
Epoch:          0
Summary:        Sonatype Plugins Parent
Group:          Development/Libraries/Java
License:        ASL 2.0
URL:            http://github.com/sonatype/plugins-parent
# git clone https://github.com/sonatype/oss-parents.git && cd oss-parents && git archive --prefix="plugins-parent-6/" --format=tar plugins-parent-6 | bzip2 > ../plugins-parent-6.tar.bz2
Source0:        plugins-parent-6.tar.bz2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
# XXX: 10
Requires:       forge-parent
BuildRequires:  maven2
BuildRequires:  maven2-plugin-deploy
# XXX: 10
BuildRequires:  forge-parent
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Sonatype Plugins Parent.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n plugins-parent-%{version}

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate

%install
%{__rm} -rf %{buildroot}

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
pushd maven2-brew
%{__cp} -p org/sonatype/plugins/plugins-parent/%{namedversion}/plugins-parent-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
popd

# depmaps
%add_to_maven_depmap org.sonatype.plugins plugins-parent %{namedversion} JPP %{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com
%{__cp} -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Aug 10 2011 David Walluck <dwalluck@redhat.com> 0:6-2
- add %%clean section

* Wed Aug 10 2011 David Walluck <dwalluck@redhat.com> 0:6-1
- release
